From 0d161d2c18f6b0258db2aa947669fe724d0567d8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 03:54:14 +0000
Subject: [PATCH 950/2232] Show only the associated type being discussed


---

diff --git a/src/extern_type.rs b/src/extern_type.rs
index 8737d8b..b1400ad 100644
--- a/src/extern_type.rs
+++ b/src/extern_type.rs
@@ -102,7 +102,7 @@ pub unsafe trait ExternType {
     /// # struct TypeName;
     /// # unsafe impl cxx::ExternType for TypeName {
     /// type Id = cxx::type_id!("name::space::of::TypeName");
-    /// type Kind = cxx::kind::Opaque;
+    /// #     type Kind = cxx::kind::Opaque;
     /// # }
     /// ```
     type Id;
@@ -118,7 +118,7 @@ pub unsafe trait ExternType {
     /// ```
     /// # struct TypeName;
     /// # unsafe impl cxx::ExternType for TypeName {
-    /// type Id = cxx::type_id!("name::space::of::TypeName");
+    /// #     type Id = cxx::type_id!("name::space::of::TypeName");
     /// type Kind = cxx::kind::Trivial;
     /// # }
     /// ```

